Method: deltasharing.v1.projects.catalogs.shares.list

Gets a list of Delta Sharing shares available in the upstream Delta Sharing source (e.g., SAP BDC).

HTTP request

GET https://biglake.googleapis.com/deltasharing/v1/{parent=projects/*/catalogs/*}/shares

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The name of the catalog. Format: projects/{project}/catalogs/{catalog}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of shares to return. The service may return fewer than this value. If unspecified, at most 50 shares will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous shares.list call.

Request body

The request body must be empty.

Response body

Response message for the shares.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "deltaSharingShares": [
    {
      object (DeltaSharingShare)
    }
  ],
  "nextPageToken": string
}
Fields
deltaSharingShares[]

object (DeltaSharingShare)

The Delta Sharing shares from the specified catalog.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigquery
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • biglake.catalogs.get

For more information, see the IAM documentation.

DeltaSharingShare

Represents a Delta Sharing Share.

JSON representation
{
  "name": string,
  "shareId": string,
  "userFriendlyName": string
}
Fields
name

string

Identifier. The resource name. Format: projects/{project}/catalogs/{catalog}/shares/{delta_sharing_share}

shareId

string

Output only. The unique identifier of the share.

userFriendlyName

string

Output only. The user-friendly name of the share.